<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="w-full flex items-center justify-between gap-4">
  <div class="flex items-center gap-4 grow">
    <app-type-icon icon="fa fa-circle-nodes" color="#5bc566"></app-type-icon>
    <div class="text-base" [ngClass]="{ 'text-[#e1e1e1]': darkMode, 'text-text-500': !darkMode }">
      <div class="font-semibold">{{ node.name }}</div>
      <div class="text-sm">{{ node.host }}</div>
      <div *ngIf="!node.version" class="w-44 truncate text-sm mt-2">
        <span class="text-text-300">nodeId:</span> {{ node.nodeId }}
      </div>
      <div *ngIf="node.version" class="text-sm mt-2">
        <span class="text-text-300">version:</span> {{ node.version }}
        <span *ngIf="node.buildTime">(created: {{ node.buildTime | applyLocalTzPipe | date : 'short' }})</span>
      </div>
    </div>
  </div>
  <div class="flex items-center gap-4">
    <p-tag
      *ngIf="node.isOutdated"
      value="Outdated"
      severity="warning"
      icon="fa fa-triangle-exclamation"
      [pTooltip]="node.isOutdatedMessage"
      tooltipPosition="bottom"
    ></p-tag>
    <p-tag *ngIf="isNew" value="New" severity="info"></p-tag>
  </div>
</div>
